import Stream from '../singleMode/stream/Stream';
import { StreamPlayOption } from '../type/BRTCStream';
import Emitter from "../bjy-common/util/Emitter";
/**
 * @internal
 */
export default class AudioPlayer extends Emitter {
    private audio;
    private element;
    stream: Stream;
    private options;
    private audioStatus;
    audioLevel: number;
    get streamId(): string;
    constructor(element: HTMLDivElement, options: StreamPlayOption);
    private playAudio;
    playEvent: () => void;
    pauseEvent: () => void;
    stalledEvent: () => void;
    setSinkId(deviceId: string): Promise<void>;
    setVolume(volume: number): void;
    play(stream: Stream): Promise<void>;
    replay(stream: Stream, video?: boolean, audio?: boolean): Promise<void>;
    muteAudio(): void;
    unmuteAudio(): void;
    destroy(): void;
    resume(): Promise<void>;
}
